import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React, { useEffect } from 'react';
import { classNames } from '../../utils/classNames';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';
import { faChevronDown as faChevronDownRegular } from '@fortawesome/pro-regular-svg-icons';
import { faChevronDown as faChevronDownSolid } from '@fortawesome/pro-solid-svg-icons';
export const Accordion = ({ title, children, className, initialState = false, ...props }) => {
    const [isOpen, setIsOpen] = React.useState(initialState);
    const [contentHeight, setContentHeight] = React.useState(0);
    const classes = classNames('bas accordion', className, isOpen && 'open');
    useEffect(() => {
        const content = document.querySelector('.content-inner');
        setContentHeight((content === null || content === void 0 ? void 0 : content.clientHeight) || 0);
    }, [children]);
    return (_jsxs("div", { className: classes, children: [_jsxs("button", { onClick: () => setIsOpen(!isOpen), children: [_jsx("span", { children: title }), _jsx(FontAwesomeIcon, { icon: faChevronDownSolid, className: "solid" }), _jsx(FontAwesomeIcon, { icon: faChevronDownRegular, className: "regular" })] }), _jsx("div", { className: 'content', style: { maxHeight: isOpen ? contentHeight : 0 }, children: _jsx("div", { className: "content-inner", children: children }) })] }));
};
//# sourceMappingURL=Accordion.js.map