import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { classNames } from '../../utils/classNames';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';
import { faSpinnerThird } from '@fortawesome/pro-solid-svg-icons';
export const Button = ({ label, variant = 'primary', outline = false, disabled = false, loading = false, iconPosition, size, icon: IconComponent, className, ...props }) => {
    const classes = classNames('bas button', variant, outline && 'outline', loading && 'loading', size, !!IconComponent && `icon-${iconPosition || 'left'}`, className);
    return (_jsxs("button", { ...props, className: classes, disabled: disabled, children: [loading && (_jsx("div", { className: "loader-wrapper", children: _jsx(FontAwesomeIcon, { icon: faSpinnerThird, className: "loader fa-spin" }) })), _jsxs("span", { className: "content", children: [(iconPosition === 'left' || iconPosition == null) && IconComponent, label, iconPosition === 'right' && IconComponent] })] }));
};
//# sourceMappingURL=Button.js.map