import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { classNames } from '../../utils/classNames';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';
import { faSpinnerThird, faCircleCheck, faCircleXmark, } from '@fortawesome/pro-solid-svg-icons';
const getStateIcon = (state) => {
    switch (state) {
        case 'loading':
            return faSpinnerThird;
        case 'success':
            return faCircleCheck;
        case 'error':
            return faCircleXmark;
    }
};
export const InlineLoading = ({ state = 'loading', message = 'Loading...', className, ...props }) => {
    const classes = classNames('bas inline-loading', state, className);
    return (_jsxs("span", { ...props, className: classes, children: [_jsx("div", { className: "icon-wrapper", children: _jsx(FontAwesomeIcon, { icon: getStateIcon(state), className: state === 'loading' ? 'fa-spin' : '' }) }), _jsx("span", { className: "message", children: message })] }));
};
//# sourceMappingURL=InlineLoading.js.map