import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useState } from 'react';
import { classNames } from '../../utils/classNames';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';
import { faCheck, faEye, faEyeSlash, faTriangleExclamation, } from '@fortawesome/pro-solid-svg-icons';
export const Input = ({ className, icon: baseIcon, onClickIcon: baseOnClickIcon, groupIcon, state, error, onChange, ...props }) => {
    const [revealPassword, setRevealPassword] = useState(false);
    const icon = props.type === 'password' ? (_jsx(FontAwesomeIcon, { icon: revealPassword ? faEyeSlash : faEye })) : (baseIcon);
    const onClickIcon = props.type === 'password'
        ? () => setRevealPassword((prevState) => !prevState)
        : baseOnClickIcon;
    const overrideType = props.type === 'password' && revealPassword && 'text';
    const classes = classNames('bas input', !!icon && 'icon-right', !!groupIcon && 'group-icon-left', state, props.disabled && 'disabled', className);
    return (_jsxs("div", { className: classes, children: [groupIcon && _jsx("span", { className: "group-icon", children: groupIcon }), _jsx("input", { ...props, type: overrideType || props.type, onChange: (e) => onChange(e.currentTarget.value) }), (icon || state) && (_jsxs("span", { className: classNames('icon', onClickIcon && 'clickable'), onClick: onClickIcon, children: [icon, state === 'error' && !icon && (_jsx(FontAwesomeIcon, { icon: faTriangleExclamation })), state === 'success' && !icon && _jsx(FontAwesomeIcon, { icon: faCheck })] })), _jsx("div", { className: "error-message", children: error })] }));
};
//# sourceMappingURL=Input.js.map