import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { classNames } from '../../utils/classNames';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';
import { faTimes } from '@fortawesome/pro-regular-svg-icons';
export const Tag = ({ label, variant, onClose, withIcon = true, className, ...props }) => {
    const classes = classNames('bas tag', variant, !withIcon && 'no-icon', className);
    const renderTagIcon = function () {
        if (withIcon) {
            return (_jsx("span", { onClick: variant !== 'disabled' ? onClose : undefined, children: _jsx(FontAwesomeIcon, { icon: faTimes }) }));
        }
        return _jsx(_Fragment, {});
    };
    return (_jsxs("div", { ...props, className: classes, children: [label, renderTagIcon()] }));
};
//# sourceMappingURL=Tag.js.map