import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { classNames } from '../../utils/classNames';
export const Toggle = ({ sizeType, className, onChange, content, disabled = false, checked = false, ...rest }) => {
    const classes = classNames('bas toggle', sizeType, className, disabled ? 'toggle-disabled' : '', checked ? 'toggle-on' : 'toggle-off');
    const switchOnChange = (event) => {
        const value = event.currentTarget.checked;
        onChange(value);
    };
    return (_jsxs("div", { className: classes, children: [_jsxs("label", { className: "label switch-label", children: [_jsx("input", { type: "checkbox", checked: checked, disabled: disabled, onChange: switchOnChange, ...rest }), _jsx("span", { className: "switch-button" })] }), _jsx("span", { className: "toggle-content", children: content })] }));
};
//# sourceMappingURL=Toggle.js.map